<?php

namespace App\Model;

final class CommandTypes
{
    public const string DEPLOY_IMAGE = 'deploy-image';
    public const string RESTORE_IMAGE = 'restore-image';
    public const string CREATE_IMAGE = 'create-image';
    public const string CREATE_IMAGE_AUX_FILE = 'create-image-aux-file';
    public const string IMPORT_IMAGE = 'import-image';
    public const string EXPORT_IMAGE = 'export-image';
    public const string POWER_ON = 'power-on';
    public const string REBOOT = 'reboot';
    public const string SHUTDOWN = 'shutdown';
    public const string LOGIN = 'login';
    public const string LOGOUT = 'logout';
    public const string PARTITION_AND_FORMAT = 'partition-and-format';

    private const array COMMAND_TYPES = [
        self::DEPLOY_IMAGE => 'Deploy Image',
        self::RESTORE_IMAGE => 'Update Cache',
        self::CREATE_IMAGE => 'Create Image',
        self::CREATE_IMAGE_AUX_FILE => 'Crear fichero auxiliar en repositorio',
        self::IMPORT_IMAGE => 'Importar imagen',
        self::EXPORT_IMAGE => 'Exportar imagen',
        self::POWER_ON => 'Encender',
        self::REBOOT => 'Reiniciar',
        self::SHUTDOWN => 'Apagar',
        self::LOGIN => 'Login',
        self::LOGOUT => 'Logout',
        self::PARTITION_AND_FORMAT => 'Partition and Format',
    ];

    public static function getCommandTypes(): array
    {
        return self::COMMAND_TYPES;
    }

    public static function getCommandType(string $type): ?string
    {
        return self::COMMAND_TYPES[$type] ?? null;
    }
}
